@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap');

.Text--markdown {
  overflow-wrap: anywhere;
  word-break: break-word;
  width: 100%;
  font-family: "Lato", serif !important;
  font-weight: 400 !important;
  font-style: normal !important;
  font-size: 14px !important;
}

.Text--markdown strong {
  font-weight: 700 !important;
}

.Text--markdown p {
  margin-top: 0;
  margin-bottom: 0;
}

.Text--markdown a {
  text-decoration: underline;
}

.Text--markdown h4 {
  margin: 0;
}

/* @media (min-width: 1024px) {
  .JOlPXgepknwo7YTIinXf ._0G0_70KK893NLapnXPp {
    width: calc(450px + 2* var(--widget-box-shadow-width)) !important;
    min-height: 100vh !important;
  }
} */

.Text--markdown>ol,
.Text--markdown>ul {
  margin: 0;
  padding: 0;
}

.Text--markdown li {
  margin-left: 16px;
}

@keyframes rotate {
  to {
    transform: rotate(360deg);
  }
}

.rotate {
  animation: rotate 4s linear infinite;
}

.rotate-fast {
  animation: rotate 1s linear infinite;
}

@keyframes pulse {
  0% {
    opacity: 0;
  }

  50% {
    opacity: 1;
  }

  100% {
    opacity: 0;
  }
}

.pulse {
  animation: pulse 2s infinite;
}

.Waveform {
  min-width: 0;
  display: flex;
  align-items: center;
  cursor: pointer;
  outline: 0;
}

.Waveform__bar {
  display: inline-block;
  width: 4px;
  border-radius: 2px;
  transition: height 250ms, background 250ms;
}

.Waveform__bar:not(:first-of-type) {
  margin-inline-start: 1px;
}

.WaveformScrubber {
  display: flex;
  flex: 1;
  flex-basis: 0;
  min-width: 0;
}
.css-1oxk8jl{
  background-color: white !important;
}
.css-1xc5kjj {
  background-image: url("chatbot-assests/webbg.png");
  background-size: contain;
}

/* Mobile-specific styles */
@media only screen and (max-width: 768px) and (pointer: coarse) {
  .css-1xc5kjj {
    background-image: url("chatbot-assests/mobilebg.png");
    background-size: cover;
  }
}



.css-1i3dtts {
  display: unset !important;
  margin-top: 0px !important;
  padding-top: 0px !important;
}

.css-us94a0 {
  display: unset !important;
  width: unset !important;
  font-size: 13px !important;
  padding: 3px 10px !important;
  margin: 5px !important;
  border-color: transparent !important;
  font-family: "Lato", serif !important;
  font-weight: 400 !important;
  font-style: normal !important;
  text-align: left !important;
}

.css-5egaav {
  display: unset !important;
  width: unset !important;
  font-size: 14px !important;
  border-color: transparent !important;
  font-family: "Lato", serif !important;
  font-weight: 400 !important;
  font-style: normal !important;
  /* padding: 0px 10px !important; */
}

.css-1gjd802 {
  font-family: "Lato", serif !important;
  font-weight: 400 !important;
  font-style: normal !important;
}

.css-1gjd802 {
  font-family: "Lato", serif !important;
  font-weight: 400 !important;
  font-style: normal !important;
}

.css-5egaav span {
  padding: 0px 0px !important;
}

.css-76z49m {
  scrollbar-width: thin !important;
  scrollbar-color: #29429e white !important;
}

.css-24luw4 {
  scrollbar-width: thin !important;
  scrollbar-color: #29429e white !important;
}

/* Webkit-based browsers (Chrome, Edge, Safari) */
.css-76z49m::-webkit-scrollbar {
  width: 4px !important;
  /* Adjust the width to make it thinner */
}

.css-76z49m::-webkit-scrollbar-thumb {
  background-color: #29429e;
  border-radius: 10px !important;
}

.css-76z49m::-webkit-scrollbar-track {
  background: white !important;
}


/* .css-4u42f2 {
  background-color: #d1e0f4 !important;
} */

.css-24luw4 {
  background: rgb(209, 224, 244) !important;
  background: linear-gradient(180deg, rgba(209, 224, 244, 1) 27%, rgba(255, 255, 255, 1) 73%) !important;
}

.css-24luw4 {
  padding: 0px 16px 16px 16px !important;
}

/* New PREchat CSS Starts */

/* body {
  background-color: #f4f4f4;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
} */

/* Headings and Text */

/* .elements-Form {
    gap: unset !important;
} */

.elements-Text {
  margin-bottom: -1rem;
}

/* .elements-Text p {
  text-align: center;
} */
.elements-Text img {
  padding: 0rem 1rem 0rem 2rem;
}

.elements-Text p img {
  max-width: 100% !important;
  height: 20rem;
  ;
  border-radius: 8px;
}

.elements-SelectInputContainer {
  position: relative;
}

.elements-SelectInputContainer select {
  width: 100%;
  padding: 10px;
  border-radius: 5px;
  border: 1px solid #ddd;
  font-size: 14px !important;
  color: #d1e0f4 !important;
  background-color: #fff;
  appearance: none;
  outline: none;
}

.elements-SelectInputContainer svg {
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  pointer-events: none;
  fill: #2c4fa1 !important;
}

/* Links */
.elements-Text a {
  color: #2c4fa1 !important;
  text-decoration: none !important;
}

.elements-Text a:hover {
  text-decoration: underline;
}

/* Checkbox Input */
.elements-CheckboxInput {
  margin-bottom: 15px;
  display: flex;
  align-items: center;
}

.elements-CheckboxInputOption {
  display: flex;
  align-items: center;
}

.elements-CheckboxInputOption input[type="checkbox"] {
  display: none;
}

.elements-CheckboxInputOption svg {
  margin-right: 8px;
  fill: #2c4fa1;
}

.elements-CheckboxInputOption span {
  color: #333;
  font-size: 14px;
}
/* Apply only to required form labels */
/* Specifically for the Terms & Conditions checkbox */
/* Remove default required star */
/* Hide the default black star (if any) */
/* Target the black star in the prechat checkbox */
.elements-CheckboxInputOption span::after {
    color: red !important; /* Make the star red */
}






/* Submit Button */
.elements-Button {
  text-align: center;
}

.elements-Button button {
  background-color: #2c4fa1 !important;
  color: #ffffff !important;
  border: none !important;
  border-radius: 5px !important;
  padding: 12px 20px !important;
  font-size: 14px !important;
  cursor: pointer !important;
  transition: background-color 0.3s ease !important;
}

.elements-Button button:hover {
  background-color: #1f3d80;
  /* Darker shade of primary color for hover effect */
}

/* New PREchat CSS Ends */
/* .Text--markdown>p>a {
  background-color: white;
  color: #1f3d80;
  border: none;
  border-radius: 12px;
  padding: 8px 10px;
  font-size: 14px !important;
  cursor: pointer;
  transition: background-color 0.3s ease;
  margin-top: 10px;
  text-decoration: none;
  display: block !important;
  width: fit-content !important;
  font-weight: 500 !important;
} */

/* .Text--markdown>p>a:hover {
  background-color: #1f3d80;
  color: white;
  border: none;
  border-radius: 12px;
  padding: 8px 10px;
  font-size: 14px !important;
  cursor: pointer;
  transition: background-color 0.3s ease;
  margin-top: 10px;
  text-decoration: none;
  display: block !important;
  width: fit-content !important;
  font-weight: 500 !important;
} */

.suggestions {
  list-style: none;
  padding: 0;
  margin: 5px 0 0;
  max-height: 200px;
  overflow-y: auto;
  background: #fff;
  border: 1px solid #ccc;
  border-radius: 5px;
  display: none;
  position: absolute;
  width: 100%;
  z-index: 1000;
  bottom: 53px;
}

.suggestions li {
  padding: 10px;
  cursor: pointer;
  border-bottom: 1px solid #ddd;
}

.suggestions li:hover {
  background-color: #f0f0f0;
}

.css-1voeesm {
  display: none;
}

.css-r623wo {
  background-color: #1f3d80 !important;
}

.css-oj246i {
  background-color: #1f3d80 !important;
}

.css-19f8bfz {
  background-color: #1f3d80 !important;
}

.css-1dyfc0c-IconButton {
  display: none !important;
}

.css-dq57ti {
  background-color: #1f3d80 !important;
}

.css-1eljvv0 {
  background-color: #1f3d80 !important;
}

.css-jirvde {
  display: none !important;
}

button.css-1vbx9u7:nth-of-type(3) {
  display: none !important;
}

.css-113cfga {
  box-sizing: border-box;
  margin: 0px;
  min-width: 0px;
  display: flex;
  -webkit-box-pack: start;
  justify-content: flex-start;
  align-items: start !important;
}

@media (min-width: 1024px) {
  .JOlPXgepknwo7YTIinXf ._0G0_70KK893NLapnXPp {
    width: calc(500px + 2 * var(--widget-box-shadow-width)) !important;
    height: 100vh !important;
    max-height: calc(567px + var(--widget-offset)) !important;
  }
}

.elements-Text p img {
  max-width: 100% !important;
  height: 15rem !important;
  border-radius: 8px !important;
}


.css-4u42f2 {
  height: 70px !important;
  border-bottom: 5px solid #CB2788 !important;
}

.css-12l0kqo:disabled {
  background-color: #CB2788 !important;
  opacity: 1 !important;
}

.elements-Form>.elements-Text:nth-child(1) {
  display: flex;
  justify-content: center;
}

.css-1tcyn8i {
  margin-bottom: 2px !important;
  font-weight: 900 !important;
}

.css-12l0kqo svg {
  color: white !important;
}

.css-17rkw1p {
  background-color: white !important;
}

.css-1kym9fg {
  background-color: white !important;
}

/* .css-112ky7i {
  max-width: 85vw !important;
} */

/* .css-1ci3k1p>.css-130nahs>.css-5egaav {
  display: none !important;
}

.css-1yy4e9t-IconButton {
  background-color: #CB2788 !important;
  color: white !important;
}

.css-oammsm-IconButton {
  background-color: #CB2788 !important;
  color: white !important;
} */
.css-1yutzma {
  display: none !important;
}

.css-5egaav span.blurred {
  padding: 0px 5px !important;
  filter: blur(5px) !important;
  user-select: none !important;
}


/* body {
  font-family: Arial, sans-serif;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  margin: 0;
  background-color: #f4f4f4;
} */

.faq-container {
  position: relative;
  width: 400px;

}

input {
  width: 100%;
  padding: 10px;
  font-size: 16px;
  border: 1px solid #ccc;
  border-radius: 5px;
  outline: none;
}

.suggestions {
  list-style: none;
  padding: 0;
  margin: 5px 0 0;
  max-height: 200px;
  overflow-y: auto;
  background: #fff;
  border: 1px solid #ccc;
  border-radius: 5px;
  display: none;
  position: absolute;
  width: 100%;
  z-index: 1000;
  bottom: 53px;
  scrollbar-width: thin !important;
  scrollbar-color: #29429e white !important;
}

.suggestions li {
  padding: 10px;
  cursor: pointer;
  border-bottom: 1px solid #ddd;
}

.suggestions li:hover {
  background-color: #f0f0f0;
}



.enable-textarea {
  pointer-events: auto;
  opacity: 1;
}

.disable-textarea {
  pointer-events: none;
  opacity: 0.5;
}

/* alert */

#uirueiru_sjdhasdgas_alert {
  position: fixed;
  bottom: 80px;
  right: 130px;
  background: #333;
  color: #fff;
  padding: 10px 15px;
  border-radius: 8px;
  box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.2);
  font-size: 14px;
  z-index: 999999;
  max-width: 218px;
  font-family: "Lato", serif !important;
}

.uirueiru_sjdhasdgas_text {
  margin: 0;
  font-size: 14px;
}

.uirueiru_sjdhasdgas_buttons {
  margin-top: 10px;
  display: flex;
  justify-content: space-between;
}

.uirueiru_sjdhasdgas_buttons button {
  padding: 5px 10px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  font-size: 14px;
  width: 90px !important
}

#uirueiru_sjdhasdgas_yes {
  background: #28a745;
  color: #fff;
}

#uirueiru_sjdhasdgas_no {
  background: #dc3545;
  color: #fff;
}

.css-1yy4e9t-IconButton {
  background-color: #1f3d80 !important;
  border-radius: 50% !important;
  height: 50px !important;
  width: 50px !important;
  left: -50px !important;
}

.css-1yy4e9t-IconButton>svg {
  color: white !important;
  width: 30px !important;
  height: 30px !important;
}

.css-oammsm-IconButton {
  background-color: #1f3d80 !important;
  border-radius: 50% !important;
  height: 50px !important;
  width: 50px !important;
  right: -20px !important;
}

.css-oammsm-IconButton>svg {
  color: white !important;
  width: 30px !important;
  height: 30px !important;
}

#selectedLanguage {
  box-sizing: border-box;
  margin: 0px;
  min-width: 0px;
  display: block;
  width: 100%;
  padding: 8px;
  padding-right: 32px;
  /* Add space for the arrow */
  appearance: none;
  -webkit-appearance: none;
  /* For Safari */
  -moz-appearance: none;
  /* For Firefox */
  line-height: inherit;
  border: 1px solid;
  border-radius: 4px;
  color: inherit;
  background-color: var(--theme-ui-colors-background);
  background-image: url('data:image/svg+xml;utf8,<svg fill="%23666" height="16" viewBox="0 0 24 24" width="16" xmlns="http://www.w3.org/2000/svg"><path d="M7 10l5 5 5-5z"/></svg>');
  background-repeat: no-repeat;
  background-position: right 8px center;
  background-size: 16px;
  font-size: 16px;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell, "Fira Sans", "Droid Sans", "Helvetica Neue", sans-serif;

}


/* tick */
.css-1p98gju>svg {
  color: green !important;
}

/* time stamp */
.css-13bf8ef {
  font-size: 10px !important;
}

.css-4lqoy2 {
  font-size: 10px !important;
}
/*.css-9taffg {
    max-height: 150px !important;
    max-width: 200px !important;
}
.css-1kym9fg {
    box-sizing: border-box;
    margin: 0px;
    min-width: 50px;
    appearance: none;
    text-align: center;
    line-height: inherit;
    text-decoration: none;
    transition: 0.2s;
    font-size: 16px;
    padding: 0px;
    outline: none;
    border: none;
    user-select: none;
    cursor: pointer;
    width: 200px;
    height: 100px;
    border-radius: 100%;
    display: flex;
    -webkit-box-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    align-items: center;
    box-shadow: rgba(0, 0, 0, 0.2) 0px 5px 10px;
    background: var(--theme-ui-colors-primary);
    color: var(--theme-ui-colors-primary);
    position: relative;
}*/

._0G0_70KK893NLapnXPp{
  --widget-button-width: 58px !important;
  --widget-button-height: 58px !important;
}
 
.css-9taffg {
  max-height: unset !important;
  max-width: unset !important;
  min-width: unset !important;
  object-fit: unset !important;
}
 
.css-1kym9fg {
  background-color: transparent !important;
  width: unset !important;
  height: unset !important;
  box-shadow: unset !important;
}

.css-kgz0dq {
    position: absolute;
    top: 0px;
    transform: translate(20%, -20%);
    min-width: 24px;
    padding: 2px 8px;
    display: none;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: center;
    justify-content: center;
    border: 2px solid white;
    background: var(--theme-ui-colors-red);
    color: white;
    font-size: 12px;
    border-radius: 20px;
}
.css-nfe6t3
{
  display:none !important;
}
/*.chatbot-trigger
{
  background-color: transparent !important;
  width: 150px !important;
  height: 250px !important;
  box-shadow: unset !important;
  position:absolute;
 
  z-index:999;
}*/
#chatbotBtn {
    position: fixed;
    bottom: 20px;
    right: 0px;
    width: 150px;
    height: auto;
    cursor: pointer;
    z-index: 999999999;
    pointer-events: auto;
    background-color: transparent !important;
}



